unit uIEditorTiendaEmpresa;

interface

uses
  uBizEmpresasTiendas, uTiendasEmpresaController;

type
  IEditorTiendaEmpresa = interface
  ['{988030F8-38BA-4C0C-9BB7-81D0365523F5}']

    function GetController : ITiendasEmpresaController;
    procedure SetController (const Value : ITiendasEmpresaController);
    property Controller : ITiendasEmpresaController read GetController write SetController;

    function GetTienda: IBizEmpresaTienda;
    procedure SetTienda(const Value: IBizEmpresaTienda);
    property Tienda: IBizEmpresaTienda read GetTienda write SetTienda;

    function ShowModal : Integer;
    procedure Release;
  end;


implementation

end.
